(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"intro_atlas_1", frames: [[0,0,1280,1138],[874,1140,60,101],[936,1140,128,16],[642,1140,230,168],[1282,0,750,1138],[0,1140,640,443]]}
];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.BG = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.goat = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.pgsh = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.pg = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.sky = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();



(lib.store = function() {
	this.initialize(ss["intro_atlas_1"]);
	this.gotoAndStop(5);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.store_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.store();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.store_1, new cjs.Rectangle(0,0,640,443), null);


(lib.sky_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.sky();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sky_1, new cjs.Rectangle(0,0,750,1138), null);


(lib.pgsh_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.pgsh();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.pgsh_1, new cjs.Rectangle(0,0,128,16), null);


(lib.pg_img = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.pg();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.pg_img, new cjs.Rectangle(0,0,230,168), null);


(lib.goat_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.goat();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.goat_1, new cjs.Rectangle(0,0,60,101), null);


(lib.bg = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.BG();
	this.instance.setTransform(1279,0);

	this.instance_1 = new lib.BG();

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.bg, new cjs.Rectangle(0,0,2559,1138), null);


(lib.pg_mc_2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.pg_img();
	this.instance.setTransform(115,84,1,1,0,0,0,115,84);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(12).to({rotation:-2.741},10).to({rotation:0},10).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-3.8,-5.4,237.8,178.8);


(lib.pg_mc = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// 圖層_1
	this.instance = new lib.pg_img();
	this.instance.setTransform(115,84,1,1,0,0,0,115,84);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({rotation:-3.4957,x:115.05,y:74.3},8).to({rotation:0,x:115,y:84},7).wait(1));

	// 圖層_2
	this.instance_1 = new lib.pgsh_1();
	this.instance_1.setTransform(136.05,154.35,1,1,0,0,0,64,8);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({regX:64.1,regY:8.1,scaleX:0.6075,scaleY:0.7844,x:136.15,y:154.45},8).to({regX:64,regY:8,scaleX:1,scaleY:1,x:136.05,y:154.35},7).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-4.8,-16.5,239.8,184.5);


(lib.goat_mc = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {loop:26};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_52 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		
			_this.gotoAndPlay('loop');
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(52).call(this.frame_52).wait(2));

	// 圖層_1
	this.instance = new lib.goat_1();
	this.instance.setTransform(30,138.05,1,0.8505,0,0,0,30,50.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleY:1.0743,y:41.75},11).to({scaleY:1,y:59.25},5).to({y:50.5},4).to({regX:29.9,rotation:-17.4844,x:29.9},6).to({regX:30,regY:50.4,rotation:7.2365,x:30.05,y:50.55},13).to({regX:29.9,regY:50.5,rotation:-17.4844,x:29.9,y:50.5},14).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-13.7,-12.5,87.60000000000001,193.5);


// stage content:
(lib.intro = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {"loop":1,start:59,complete:129,intoGame:136};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0,89,129,135,136,163];
	// timeline functions:
	this.frame_0 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		//var isComplete = false;
		_this.isComplete = false;
		
			_this.gotoAndPlay('start');
	}
	this.frame_89 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		
		
		if(!_this.isComplete){
			_this.gotoAndPlay('loop');
		}else{
			_this.play();
			main.gameInto();
		}
	}
	this.frame_129 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		_this.stop();
	}
	this.frame_135 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		_this.stop();
	}
	this.frame_136 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		//_this.stop();
	}
	this.frame_163 = function() {
		var _this = this;
		/*
		在時間軸上移動磁頭至指定的影格標籤，並從該影格繼續播放。
		亦可用於主時間軸或影片片段時間軸。
		*/
		
		_this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(89).call(this.frame_89).wait(40).call(this.frame_129).wait(6).call(this.frame_135).wait(1).call(this.frame_136).wait(27).call(this.frame_163).wait(1));

	// 圖層_1
	this.instance = new lib.sky_1();
	this.instance.setTransform(329,569,1,1,0,0,0,375,569);
	this.instance.alpha = 0;
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(150).to({_off:false},0).to({alpha:1},13).wait(1));

	// 圖層_13 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("EACQAyxIAA4IIfxAAIAAYIg");
	mask.setTransform(217.686,324.9259);

	// goat
	this.instance_1 = new lib.goat_mc();
	this.instance_1.setTransform(440,622.45,1,1,0,0,0,30,50.5);
	this.instance_1._off = true;

	var maskedShapeInstanceList = [this.instance_1];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(120).to({_off:false},0).to({x:341.25},9).wait(35));

	// pg_img
	this.instance_2 = new lib.pg_mc_2();
	this.instance_2.setTransform(162.9,673.5,1,1,0,0,0,115,84);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(129).to({_off:false},0).wait(35));

	// pg_sh
	this.instance_3 = new lib.pgsh_1();
	this.instance_3.setTransform(183.95,743.85,1,1,0,0,0,64,8);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(129).to({_off:false},0).wait(35));

	// 圖層_8
	this.pg_mc = new lib.pg_mc();
	this.pg_mc.name = "pg_mc";
	this.pg_mc.setTransform(309.15,673.5,1,1,0,0,0,115,84);

	this.timeline.addTween(cjs.Tween.get(this.pg_mc).wait(90).to({regX:115.1,regY:75.7,x:305.35,y:665.2},0).wait(1).to({x:301.2},0).wait(1).to({x:296.8},0).wait(1).to({x:292.1},0).wait(1).to({x:287.25},0).wait(1).to({x:282.1},0).wait(1).to({x:276.8},0).wait(1).to({x:271.35},0).wait(1).to({x:265.75},0).wait(1).to({x:260.05},0).wait(1).to({x:254.3},0).wait(1).to({x:248.5},0).wait(1).to({x:242.7},0).wait(1).to({x:236.95},0).wait(1).to({x:231.3},0).wait(1).to({x:225.75},0).wait(1).to({x:220.35},0).wait(1).to({x:215.1},0).wait(1).to({x:210.1},0).wait(1).to({x:205.3},0).wait(1).to({x:200.75},0).wait(1).to({x:196.4},0).wait(1).to({x:192.4},0).wait(1).to({x:188.6},0).wait(1).to({x:185.1},0).wait(1).to({x:181.85},0).wait(1).to({x:178.9},0).wait(1).to({x:176.2},0).wait(1).to({x:173.8},0).wait(1).to({x:171.65},0).wait(1).to({x:169.75},0).wait(1).to({x:168.1},0).wait(1).to({x:166.7},0).wait(1).to({x:165.55},0).wait(1).to({x:164.6},0).wait(1).to({x:163.85},0).wait(1).to({x:163.35},0).wait(1).to({x:163.05},0).wait(1).to({regX:115,regY:84,x:162.9,y:673.5},0).to({_off:true},1).wait(35));

	// 圖層_14
	this.instance_4 = new lib.store_1();
	this.instance_4.setTransform(322,490.5,1,1,0,0,0,320,221.5);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(129).to({_off:false},0).wait(35));

	// store
	this.instance_5 = new lib.store_1();
	this.instance_5.setTransform(824,490.5,1,1,0,0,0,320,221.5);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(89).to({_off:false},0).to({x:334.55},39).to({_off:true},1).wait(35));

	// bg
	this.instance_6 = new lib.bg();
	this.instance_6.setTransform(640,569,1,1,0,0,0,640,569);
	this.instance_6._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(89).to({_off:false},0).to({x:319},40).wait(35));

	// bg
	this.instance_7 = new lib.bg();
	this.instance_7.setTransform(640,569,1,1,0,0,0,640,569);

	this.timeline.addTween(cjs.Tween.get(this.instance_7).to({x:-640},89).to({_off:true},1).wait(74));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(-960,569,3519,569);
// library properties:
lib.properties = {
	id: '968CDC3A36AA2347ABE82F0675BD17EC',
	width: 640,
	height: 1138,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/intro/intro_atlas_1.png?1633421994549", id:"intro_atlas_1"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['968CDC3A36AA2347ABE82F0675BD17EC'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}


})(createjs = createjs||{}, intro = intro||{});
var createjs, intro;